diff a/test/micro/org/openjdk/bench/jdk/classfile/CodeAttributeTools.java b/test/micro/org/openjdk/bench/jdk/classfile/CodeAttributeTools.java
--- a/test/micro/org/openjdk/bench/jdk/classfile/CodeAttributeTools.java
+++ b/test/micro/org/openjdk/bench/jdk/classfile/CodeAttributeTools.java
@@ -39,10 +39,11 @@
 import jdk.internal.classfile.impl.ClassFileImpl;
 import jdk.internal.classfile.impl.RawBytecodeHelper;
 import jdk.internal.classfile.impl.SplitConstantPool;
 import jdk.internal.classfile.impl.StackCounter;
 import jdk.internal.classfile.impl.StackMapGenerator;
+import jdk.internal.classfile.impl.WritableField;
 import org.openjdk.jmh.annotations.Benchmark;
 import org.openjdk.jmh.annotations.BenchmarkMode;
 import org.openjdk.jmh.annotations.Fork;
 import org.openjdk.jmh.annotations.Level;
 import org.openjdk.jmh.annotations.Measurement;
@@ -108,10 +109,11 @@
                 d.methodDesc(),
                 d.isStatic(),
                 d.bytecode(),
                 (SplitConstantPool)d.constantPool(),
                 (ClassFileImpl)ClassFile.of(),
+                WritableField.UnsetField.EMPTY_ARRAY,
                 d.handlers()));
     }
 
     @Benchmark
     public void benchmarkStackCounter(Blackhole bh) {
